<template>
  <v-text-field
    v-bind="$attrs"
    :label="$t('firstName', { required: requiredFlag ? '*' : '' })"
    v-on="$listeners"
  />
</template>

<script>
  export default {
    name: 'FirstNameField',
    props: {
      requiredFlag: {
        type: Boolean,
        required: false,
      },
    },
    i18n: {
      messages: {
        'pt-BR': {
          firstName: 'Nome{required}',
        },
        'en-US': {
          firstName: 'First name{required}',
        },
      },
    },
  }
</script>
